roller24's picture

Is this odoo appliance built on debian or ubuntu 16.04 ? I installed it, had t really study it to get started. I added invoicing, website, calendar, paypal, and google sheets apps, I worked a couple days on these setting up my company to test it out for future deployments, and seem to have had an issue with everything I do. I setup the internal postfix to relay through my email provider, due to i'm at home with blocked ports, setup dkim, spf, etc. but invoices by email go to spam folders while invites to users dont. Thats a google thing, I think. I got file uploads to work through the root server proxy, as it is set waay to small, 2mb or something, one pdf file exceeds, but that is fixed. and I went to add an app today and Got this tremendously complicated error about adding users blah blah. I don't know Jack about python, so I'm screwed. I think it had something to do with me deleting demo data through the database, not though I think I did anything that would break the app. But all support I've searched at odoo git is either, we can't reproduce it so shag off, or it's  some python corrupted english, that only a code writer would comprehend, but they built it on Ubuntu 16.o4 and have no interest is supporting any other build. 

rant complete. 

 

So I'm gonna start fresh, and should I build it on ubuntu or is it already on ubuntu. I thought all our builds were debian based.

need clarity 

Forum: 
roller24's picture

Error:
Odoo Server Error

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 744, in parse
    self._tags[rec.tag](rec, de, mode=mode)
  File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 654, in _tag_record
    id = self.env(context=rec_context)['ir.model.data']._update(rec_model, self.module, res, rec_id or False, not self.isnoupdate(data_node), noupdate=self.isnoupdate(data_node), mode=self.mode)
  File "/usr/lib/python3/dist-packages/odoo/addons/base/ir/ir_model.py", line 1482, in _update
    record = record.create(values)
  File "/usr/lib/python3/dist-packages/odoo/addons/sales_team/models/res_users.py", line 17, in create
    user = super(ResUsers, self).create(vals)
  File "/usr/lib/python3/dist-packages/odoo/addons/auth_signup/models/res_users.py", line 144, in create
    user = super(ResUsers, self).create(values)
  File "/usr/lib/python3/dist-packages/odoo/addons/mail/models/res_users.py", line 55, in create
    raise exceptions.RedirectWarning(msg, action.id, _('Go to the configuration panel'))
odoo.exceptions.RedirectWarning: ('You cannot create a new user from here.\n To create new user please go to configuration panel.', 65, 'Go to the configuration panel')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 650, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 310, in _handle_exception
    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
  File "/usr/lib/python3/dist-packages/odoo/tools/pycompat.py", line 87, in reraise
    raise value
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 692, in dispatch
    result = self._call_function(**self.params)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 342, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 97, in wrapper
    return f(dbname, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 335, in checked_call
    result = self.endpoint(*a, **kw)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 936, in __call__
    return self.method(*args, **kw)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 515, in response_wrap
    response = f(*args, **kw)
  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 935, in call_button
    action = self._call_kw(model, method, args, {})
  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 923, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "/usr/lib/python3/dist-packages/odoo/api.py", line 689, in call_kw
    return call_kw_multi(method, model, args, kwargs)
  File "/usr/lib/python3/dist-packages/odoo/api.py", line 680, in call_kw_multi
    result = method(recs, *args, **kwargs)
  File "<decorator-gen-41>", line 2, in button_immediate_install
  File "/usr/lib/python3/dist-packages/odoo/addons/base/module/module.py", line 71, in check_and_log
    return method(self, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/odoo/addons/base/module/module.py", line 448, in button_immediate_install
    return self._button_immediate_function(type(self).button_install)
  File "/usr/lib/python3/dist-packages/odoo/addons/base/module/module.py", line 541, in _button_immediate_function
    modules.registry.Registry.new(self._cr.dbname, update_module=True)
  File "/usr/lib/python3/dist-packages/odoo/modules/registry.py", line 85, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 380, in load_modules
    loaded_modules, update_module, models_to_check)
  File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 274, in load_marked_modules
    perform_checks=perform_checks, models_to_check=models_to_check
  File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 184, in load_module_graph
    _load_data(cr, module_name, idref, mode, kind='demo')
  File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 95, in _load_data
    tools.convert_file(cr, module_name, filename, idref, mode, noupdate, kind, report)
  File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 791, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)
  File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 852, in convert_xml_import
    obj.parse(doc.getroot(), mode=mode)
  File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 741, in parse
    self.parse(rec, mode)
  File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 751, in parse
    exc_info[2]
  File "/usr/lib/python3/dist-packages/odoo/tools/pycompat.py", line 86, in reraise
    raise value.with_traceback(tb)
  File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 744, in parse
    self._tags[rec.tag](rec, de, mode=mode)
  File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 654, in _tag_record
    id = self.env(context=rec_context)['ir.model.data']._update(rec_model, self.module, res, rec_id or False, not self.isnoupdate(data_node), noupdate=self.isnoupdate(data_node), mode=self.mode)
  File "/usr/lib/python3/dist-packages/odoo/addons/base/ir/ir_model.py", line 1482, in _update
    record = record.create(values)
  File "/usr/lib/python3/dist-packages/odoo/addons/sales_team/models/res_users.py", line 17, in create
    user = super(ResUsers, self).create(vals)
  File "/usr/lib/python3/dist-packages/odoo/addons/auth_signup/models/res_users.py", line 144, in create
    user = super(ResUsers, self).create(values)
  File "/usr/lib/python3/dist-packages/odoo/addons/mail/models/res_users.py", line 55, in create
    raise exceptions.RedirectWarning(msg, action.id, _('Go to the configuration panel'))
odoo.tools.convert.ParseError: "You cannot create a new user from here.
 To create new user please go to configuration panel.
65
Go to the configuration panel" while parsing /usr/lib/python3/dist-packages/odoo/addons/sales_team/data/sales_team_demo.xml:10, near
<record id="base.user_demo" model="res.users">
            <field name="groups_id" eval="[(4,ref('sales_team.group_sale_salesman'))]"/>
        </record>

 

I think I caused this by deleting the demo user, instead of starting with a fresh database. Guess I'll just  DOO OVER>

Jeremy Davis's picture

You must have posted this while I was replying to the OP.

Yikes, that is a scary looking error message! From a quick glance it appears that there is something missing from the DB that it was/is looking for... Starting with a fresh DB would certainly be recommended.

roller24's picture

So I went to the Postgres db, I'm a mysql guy, so I'm lost as to which data base goes where, I discovered that the template0 database is :invalid: and it won't let me drop it. .... So how can I install the odoo app with a clean database, without the demo data, or should I just leave the demo data, and create a new company... and I'll probly figure this out by the time you even read this, so I hope it helps some other newb down the road.

 

Jeremy Davis's picture

Odoo has a "DB Manager" built in, so I would avoid editing the DB manually.

It should be fairly obvious how to create a new DB (via Odoo UI), although how to then access it may not be (we need to tweak the default settings). Please see this thread and/or the bug.

I'll try to rebuild and update Odoo soon so that's fixed OOTB, but after following that instruction, you should be good to go.

Jeremy Davis's picture

Sorry to hear of the pain you have been experiencing with our Odoo appliance. It sounds like we could certainly make some improvements.

As you appear to realise, TurnKey is built on Debian. FWIW so is Ubuntu - each Ubuntu release starts life as a snapshot of Debian unstable (aka Sid). Although Ubuntu do provide some of their own packages, plus recompile a few things (such as the kernel) with their own patch set. So whilst Ubuntu is very closely related to Debian, it's not binary compatible with Debian; TurnKey is.

FWIW I personally use Debian exclusively (as a desktop OS). Whenever software support says that they don't support Debian (but they do support Ubuntu), I tell them I made a mistake and actually I AM running Ubuntu! Then the provide support and (usually) the issue is resolved! ;)

FWIW Odoo 11 is written in Python3, so the main consideration WRT Odoo issues (aside from integration with other services/software) should be the Python3 version itself (plus perhaps the versions of specific Python libraries/dependencies). Ubuntu 16.04 has Python 3.5.1 whereas Debian 9/Stretch (the basis of TurnKey v15.x) has 3.5.3. In other words, Stretch has a slightly newer version, but any differences should be completely marginal.

Regarding your outgoing emails being tagged as spam, assuming that you are using an SMTP relay (sounds like you are), by my understanding, that should be to do with the SMTP gateway you are using (rather than your server). Although TBH, I can't say that categorically as I have limited experience with it (I use Google SMTP and 99% aren't tagged as spam, but the odd occasional one still is and I'm yet to understand exactly why). Unelss you want to maintain your own email server with a static IP address and all the right DNS enThe best chance of ensuring that emails are not tagged as spam is to use a 3rd party service which specialise in email deliver-ability. FWIW we have been recommending SendInBlue (which provide a free account for general usage), but there are a number of alternate options.

I got file uploads to work through the root server proxy, as it is set waay to small, 2mb or something, one pdf file exceeds, but that is fixed.

Great feedback. I assume that's just adjusted within the Apache Odoo site file? Thanks for sharing that. We'll certainly bump that for the next release. Out of interest what value do you run with? Actually if you don't mind sharing a copy of your "fixed" Apache config, that'd be awesome.

Without seeing the error, I can't really comment, but it's probably worth pointing out, that the "demo" data is only provided so that there is something there when you first start it up and you can get a feel for what Odoo can do. If you plan to give it a proper test, then I highly recommend creating a "New Database". FWIW once you've done that, you can make that the default/only one available (and/or delete the demo one). FWIW, there is a thread here regarding that if you're interested.

roller24's picture

The file upload limit had to be done on the nginx proxy, the apache was already set much higher than the file I was sending.

odoo, although loaded with features, is not easy to navigate  ie: the app filter defaulted on, in the apps listing, not showing any modules and no real indication that they even exist. I only discovered this after reading a page while searching for support.  

I still haven't seen a data base manager, but now that I know it exist, I 'll search around. 

I've always used debian after my initial, "try every distro" stage of linux embarkment.  I find there are some differences that can cause a break, if you just assume that the ubuntu tutorial you are following, thinking it will fit a debian, is not always the case, especially, since some Ub pkgs like /usr/local/bin, and debian likes /usr/bin etc. I've learned to watch for these things over time.

At least now, Ill just destroy the data base, and not the appliance. Although..... for my particular scheme of things, I could eliminate the wordpress from my future deployments and just have Odoo, Zoneminder, and FreePBX on the base system. That is nice and lightweight, and leaves many of the resources open for the cams and phones. Yet will still fill almost every need in a small office environment.

:D

 

 

 

Jeremy Davis's picture

The link to the DB manager should be just below the log in box. So if you logout, you should see the link straight away.

Don't forget to make the modifications that I noted (in the other thread/issue) though. Otherwise you won't be able to log into your new DB! :)

TBH, I have no "real world" experience with Odoo, but it's certainly quite popular and on face value looks like a good thing.

Any further feedback you might have on how we could improve things is always welcome.

roller24's picture

Seems like it is doing fine now that I put on a fresh database, I need to really spend more time learning odoo, before I can fully comprehend the ins and outs of data being sent through the proxy on the root server. I'll post any issues here. Thanks

 

Jeremy Davis's picture

Glad to hear that you are having a better run with it now.

Please feel free to share any tips that you discover that you think other users may find useful. And of course ask any further questions you might have yourself. Unfortunately, I don't have much first hand experience with Odoo itself, but I know TurnKey really well, am very handy with Linux and have good google-fu! :)

Add new comment